SubFire Progress - md5 will be supported soon

SubFire suite of apps

Moderators: acroyear, moderators

SubFire Progress - md5 will be supported soon

Postby acroyear » Sat Aug 22, 2015 3:05 am

Yeah, between vacations, 4 year old's birthday, extended family visits, close family tummy bugs, and the day job, things slowed down a bit. Ok, a lot.

In any case, I have been working on a few things. Primarily I'm working on a 'remote control' mechanism that would allow one to turn on SubFire on the TV or a primary computer and then control it from a tablet. Useful if, like me, your server isn't the box that's connected to your best sound system, and you're too lazy to keep clicking around with the Fire TV's remote. (This idea inspired by Plex's approach to casting).

Once that's done, the same general interface can be used for Chromecast and Jukebox control.

In addition, I've just finished adding the more secure md5 version of the API implementation for 5.3beta servers, with graceful back-tracking to the enc mechanism for older servers. If there's enough interest (as in, comments posted here), I may cut an early release of just that feature without the half-finished remote-control stuff.

It will certainly help with plain http security given that SubFire, along with most HTML5 apps, can't deal gracefully with internally signed certs due to browser CORS security (which a customer just confirmed, is an issue with Fire TV/Stick as much as it is with Chrome).

Joe
--
Joe Shelby
http://subfiresuite.com/
http://subfireplayer.net/
User avatar
acroyear
 
Posts: 633
Joined: Wed Mar 27, 2013 8:05 pm
Location: Northern, VA

Re: SubFire Progress - md5 will be supported soon

Postby troycarpenter » Fri Sep 04, 2015 3:31 pm

Hi!

I've been using SubFire on my FireTV Stick off and on for a little while with Madsonic 5.x. Recently I started testing with the new Madsonic 6.0 server, but that bumped the REST API version to 2.0.0 and made all clients incompatible until they support the new version.

I was wondering if you would look into adding support for the new API version. Don't worry about the new features, everything is backwards compatible. Just recognizing the new version should be enough to start working again.

The new API is documented here: http://beta.madsonic.org/pages/api.jsp
Madsonic 6.2.9240
DSub on Samsung Note Edge
User avatar
troycarpenter
 
Posts: 41
Joined: Tue Apr 29, 2014 3:57 pm

Re: SubFire Progress - md5 will be supported soon

Postby daneren2005 » Fri Sep 04, 2015 4:56 pm

I'm pretty sure that Mad said that clients will work as in the newest Madsonic beta release.
Developer of DSub for Android
daneren2005
 
Posts: 1704
Joined: Fri Jul 06, 2012 7:52 pm

Re: SubFire Progress - md5 will be supported soon

Postby troycarpenter » Sat Sep 05, 2015 4:25 am

Unfortunately that hasn't been my experience thus far. All clients I tried have failed with the wrong API version. I've tried Dsub and jamstash, both refuse to communicate with the server.

The API website says that minor versions are compatable, but major ones are not. Mad released a beta of his app that works.
Madsonic 6.2.9240
DSub on Samsung Note Edge
User avatar
troycarpenter
 
Posts: 41
Joined: Tue Apr 29, 2014 3:57 pm

Re: SubFire Progress - md5 will be supported soon

Postby daneren2005 » Sat Sep 05, 2015 3:13 pm

On the mad forums several people have said that the new one works. I will be adding support for the newest stuff I just am not in a hurry since it is still in beta.
Developer of DSub for Android
daneren2005
 
Posts: 1704
Joined: Fri Jul 06, 2012 7:52 pm

Re: SubFire Progress - md5 will be supported soon

Postby acroyear » Tue Sep 15, 2015 11:23 pm

It would take me some time to figure out how to deal with a 2.x API (since technically that means it isn't SubSonic's API anymore). I am generally backwards compatible in that in my (coming) md5 support, I first send a ping at 1.13 and if the reply comes back 1.12.x then I'll use that and the enc: version. I fail gracefully to older servers.

However, if I send 1.12 (or 1.13) and MadSonic rejects it rather than gracefully handling older clients, that is kinda its problem, not mine, for rejecting compatibility.

Joe
--
Joe Shelby
http://subfiresuite.com/
http://subfireplayer.net/
User avatar
acroyear
 
Posts: 633
Joined: Wed Mar 27, 2013 8:05 pm
Location: Northern, VA

Re: SubFire Progress - md5 will be supported soon

Postby acroyear » Tue Sep 15, 2015 11:32 pm

That said, the mac version of the downloader keeps coming back with a 404 on me. Can't do much right now...
--
Joe Shelby
http://subfiresuite.com/
http://subfireplayer.net/
User avatar
acroyear
 
Posts: 633
Joined: Wed Mar 27, 2013 8:05 pm
Location: Northern, VA

Re: SubFire Progress - md5 will be supported soon

Postby acroyear » Wed Sep 16, 2015 12:19 am

Unrelated to protocols, the other thing taking more time than I'd like is the Chrome app version. Chrome/Google has deprecated "hosted apps", and the deployed apps system has several incompatible (non-standard) API requirements - no window.onbeforeunload, no window.localStorage (you have to use chrome's storage API, which is callback based, breaking lots of my stuff).

It has taken me time to do this, and in the course of it, has made me want to make some minor UI changes re: the button layouts. Those in turn will require me to re-test heavily on the Stick to make sure the navigation works.

I may put out another beta w/out the layout changes, just to keep up with the API and its security feature.
--
Joe Shelby
http://subfiresuite.com/
http://subfireplayer.net/
User avatar
acroyear
 
Posts: 633
Joined: Wed Mar 27, 2013 8:05 pm
Location: Northern, VA

Re: SubFire Progress - md5 will be supported soon

Postby daneren2005 » Wed Sep 16, 2015 12:48 am

Something to be aware of is that LDAP users do not work with the token. So far I haven't decided whether to just not use it or make it optional until it's fixed but you should be aware of the issue.
Developer of DSub for Android
daneren2005
 
Posts: 1704
Joined: Fri Jul 06, 2012 7:52 pm

Re: SubFire Progress - md5 will be supported soon

Postby troycarpenter » Wed Sep 16, 2015 12:59 am

Ah! So that explains why your beta works, but the madsonic android beta does not.
Madsonic 6.2.9240
DSub on Samsung Note Edge
User avatar
troycarpenter
 
Posts: 41
Joined: Tue Apr 29, 2014 3:57 pm

Re: SubFire Progress - md5 will be supported soon

Postby acroyear » Wed Sep 23, 2015 4:19 pm

i've put an update to p.subfireplayer.net (and by extension, the chrome app as it is now still a hosted app). this is now supporting the 1.13 api credentials (md5). if you don't mind, could you please test that against a mad 6.0 server? I am not in a position to do so because the download site for the 6.0 for mac keeps barfing a 404 at me.

thanks,
Joe
--
Joe Shelby
http://subfiresuite.com/
http://subfireplayer.net/
User avatar
acroyear
 
Posts: 633
Joined: Wed Mar 27, 2013 8:05 pm
Location: Northern, VA

Re: SubFire Progress - md5 will be supported soon

Postby acroyear » Thu Sep 24, 2015 4:08 pm

The MadSonic admin on Facebook says that he has tested the web-based update (that includes the 1.13 API support) and found it worked on his 6.0 server. He also says they fixed the 404 issue, so next week (busy this weekend) I'll download a server and see what else I might be able to support.

I hope to get the Fire TV/Stick version ready by tomorrow. Main thing I need to do is re-do the remote control based navigation, as I moved several buttons around to reduce crowding. The app is working just fine on my Fire Tablet's tester internally.
--
Joe Shelby
http://subfiresuite.com/
http://subfireplayer.net/
User avatar
acroyear
 
Posts: 633
Joined: Wed Mar 27, 2013 8:05 pm
Location: Northern, VA


Return to SubFire Suite

Who is online

Users browsing this forum: No registered users and 1 guest